--[[
Targets fot TITS v1.6x
]]--


TITS.SpeedUnitsDefault			= 1    -- 1 = Knots, 2 = Mph, 3 = Kph
TITS.DistanceUnitsDefault		= 3    -- 1 = feet, 2 = yards, 3 = meters
TITS.AltitudeUnitsDefault		= 1    -- 1 = feet, 3 = meters ( 2 is not used)
TITS.CoordinateFormatDefault	= 1	   -- 1 = MGRS, 2 = DMS, 3 = DM.mm
TITS.MaxMissDistance 			= 100  -- meters. Any impact over this distance from the closest target will be considered as Miss
TITS.MaxMarkDistance 			= 150  -- meters, max distance for Willie Pete (smoke) marks
TITS.HitReportDefault			= true -- default for the option to report hits in results
TITS.ReleaseParametersDefault 	= false -- default for the option to display the release parameters in results
TITS.EnableAbortMessage			= false-- If enabled, the abort message will be displayed when releasing ordnance without notifiying range control
TITS.WeaponTrackingInterval		= 0.001 -- in second. Weapon tracking interval. This indicates how often the script will track weapons in flight.
TITS.maxDeltaY					= 15

TITS.ShowAttackResults			= true	-- if true, the Attack Results report will be shown automatically on "Off - Attack completed"
TITS.ShowHitsPerTarget			= false -- if true, the Hits per Target report will be shown automatically on "Off - Attack completed"

TITS.Verbose					= true  -- When false, it will disable the acknolegment messages and automatic result reporting after "attack completed"
TITS.MenuEnabled				= true	-- When false, the Range menu's will not be added to any unit
TITS.StoreData					= false 	-- When TRUE the data export capability via API will return data

TITS.LaserDesignatorName = 'AFAC' -- Has to be an unit (unitname)
TITS.LaserDesignatorCode = '1688'
TITS.OffsetMarkerName = '' -- Offset Marker name -Has to be an unit (unitname). Offset bearing and range will be calculated from this unit

--TITS.AddTarget(_TargetName,_displayName,_Type,_TrackImpact,_TrackStrafing,_ReportHits,_AllowOffsetDesignation,_AllowSmokeDesignation,_AllowLaserDesignation,_AllowListCoordinates)


--																	Track	Track		Report	Allow Offset	Allow Smoke		Allow Laser		Allow List
--					Unit Name 		Display Name		Type		Impact	Strafing	Hits	Designation		Designation		Designation		Coordinates		
-- Basic Range
TITS.AddTarget(		'Circle A',		'',				 	'unit', 	true,	true,		true,	false,			false,			false,			false	)

TITS.AddTarget(		'Ground-2-3',	'Truck (left)',	 	'unit', 	true,	true,		true,	false,			false,			true,			false	)
TITS.AddTarget(		'Ground-2-1',	'Tank (left)',	 	'unit', 	true,	true,		true,	false,			false,			true,			false	)
TITS.AddTarget(		'Ground-2-4',	'Truck (right)', 	'unit', 	true,	true,		true,	false,			false,			true,			false	)
TITS.AddTarget(		'Ground-2-2',	'Tank (right)',	 	'unit', 	true,	true,		true,	false,			false,			true,			false	)




-- Bunkers

local r = 0
--																					Track	Track		Report	Allow Offset	Allow Smoke		Allow Laser		Allow List
--									Unit Name 		Display Name		Type		Impact	Strafing	Hits	Designation		Designation		Designation		Coordinates		
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R1',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R2',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R3',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R4',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R5',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R6',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R7',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker R8',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end

r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L1',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L2',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L3',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L4',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L5',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L6',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L7',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end
r = mist.random(1,3)
if r == 1 then TITS.AddTarget(		'Bunker L8',		'', 			'unit', 	true,	true,		true,	false,			true,			false,			false	) end




local list = TITS.TargetList
for _,v in pairs(list) do
	local u = Unit.getByName(v.name)
	local g = u:getGroup()
	g:activate()
end
trigger.action.outText( "Helicopter Weapons Range targets loaded", 2 )


--																	Track	Track		Report	Allow Offset	Allow Smoke		Allow Laser		Allow List
--					Unit Name 		Display Name		Type		Impact	Strafing	Hits	Designation		Designation		Designation		Coordinates		
-- Basic Range

TITS.AddTarget(		'Ingress',		'', 				'zone', 	false,	false,		false,	false,			false,			false,			true	)
TITS.AddTarget(		'Targets',		'', 				'zone', 	false,	false,		false,	false,			false,			false,			true	)